package nl.dragontamerfred.lagmon.commands.lmrestart;

import nl.dragontamerfred.lagmon.components.ComponentRestart;
import nl.dragontamerfred.lagmon.types.ICommand;
import nl.dragontamerfred.lagmon.types.ISubCommand;
import org.bukkit.command.CommandSender;

public class Now implements ISubCommand {

    @Override
    public String getName() {
        return "now";
    }

    @Override
    public String getDescription() {
        return "Force a server restart.";
    }

    @Override
    public String getPermission() {
        return "lagmon.restart.now";
    }

    @Override
    public boolean execute(ICommand command, CommandSender sender, String[] args) {
        ComponentRestart.restart();
        return false;
    }
}
