package nl.dragontamerfred.lagmon.components;

import org.bukkit.Bukkit;
import org.bukkit.ChatColor;
import org.bukkit.plugin.Plugin;

public class ComponentTPS {

    private static double tps;

    public static void startScheduler(Plugin plugin) {
        Bukkit.getScheduler().runTaskTimer(plugin, new Timer(), 0, 1);
    }

    public static double getTPSRaw() {
        return tps;
    }

    public static String getTPS() {
        return String.format("%.1f", tps);
    }

    public static String getTPSColored() {
        if (tps >= 18) {
            return ChatColor.GREEN + getTPS();
        } else if (tps >= 12) {
            return ChatColor.YELLOW + getTPS();
        } else if (tps >= 8) {
            return ChatColor.RED + getTPS();
        } else {
            return ChatColor.DARK_RED + getTPS();
        }
    }

    private static class Timer implements Runnable {
        long secstart;
        long secend;

        int ticks;

        @Override
        public void run() {
            secstart = (System.currentTimeMillis() / 1000);

            if(secstart == secend) {
                ticks++;
            } else {
                secend = secstart;
                tps = (tps == 0) ? ticks : ((tps + ticks) / 2);
                ticks = 1;
            }
        }
    }
}
