package nl.dragontamerfred.lagmon.commands.lmrestart;

import nl.dragontamerfred.lagmon.Util;
import nl.dragontamerfred.lagmon.types.ICommand;
import nl.dragontamerfred.lagmon.types.ISubCommand;
import org.bukkit.command.CommandSender;

public class Help implements ISubCommand {

    @Override
    public String getName() {
        return "help";
    }

    @Override
    public String getDescription() {
        return "Display this help message.";
    }

    @Override
    public String getPermission() {
        return "lagmon.restart.help";
    }

    @Override
    public boolean execute(ICommand command, CommandSender sender, String[] args) {
        for (ISubCommand subCommand : command.getSubCommands().values()) {
            sender.sendMessage(Util.color("&6&l/lmrestart " + subCommand.getName() + "&f - &6" + subCommand.getDescription()));
        }
        return true;
    }
}
