package nl.dragontamerfred.lagmon.components;

import nl.dragontamerfred.lagmon.Config;
import nl.dragontamerfred.lagmon.Util;
import org.bukkit.Bukkit;
import org.bukkit.plugin.java.JavaPlugin;


public class ComponentBroadcast {

    public static void startScheduler(JavaPlugin plugin) {
        Bukkit.getScheduler().runTaskTimer(plugin, new Timer(), Config.BROADCAST_INTERVAL * 20, Config.BROADCAST_INTERVAL * 20);
    }


    private static class Timer implements Runnable {

        @Override
        public void run() {
            String message = Util.color(Config.BROADCAST_FORMAT
                    .replaceAll("\\{RAM_USED}", ComponentMemory.getUsed())
                    .replaceAll("\\{RAM_USED_COLOR}", ComponentMemory.getUsedColored())
                    .replaceAll("\\{RAM_FREE}", ComponentMemory.getFree())
                    .replaceAll("\\{RAM_FREE_COLOR}", ComponentMemory.getFreeColored())
                    .replaceAll("\\{RAM_TOTAL}", ComponentMemory.getMax())
                    .replaceAll("\\{TPS}", ComponentTPS.getTPS())
                    .replaceAll("\\{TPS_COLOR}", ComponentTPS.getTPSColored())
                    .replaceAll("\\{CPU_USAGE}", ComponentCPU.getCPU())
                    .replaceAll("\\{CPU_USAGE_COLOR}", ComponentCPU.getCPUColored()));

            Bukkit.broadcast(message, "lagmon.broadcast.receive");
        }
    }
}
