package nl.dragontamerfred.lagmon.components.memory;

public class ProviderRuntime implements IMemoryProvider {

    @Override
    public long getFreeRaw() {
        return Runtime.getRuntime().freeMemory();
    }

    @Override
    public long getUsedRaw() {
        return Runtime.getRuntime().totalMemory() - Runtime.getRuntime().freeMemory();
    }

    @Override
    public long getMaxRaw() {
        return Runtime.getRuntime().maxMemory();
    }
}
